Skip to main content
PUT
/
webhooks
/
{uid}
cURL
curl --request PUT \
  --url https://api.avala.ai/api/v1/webhooks/{uid}/ \
  --header 'Content-Type: application/json' \
  --header 'X-Avala-Api-Key: <api-key>' \
  --data '
{
  "target_url": "<string>",
  "events": [
    "<string>"
  ],
  "is_active": true
}
'
{
  "target_url": "<string>",
  "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "events": [
    "<string>"
  ],
  "is_active": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

X-Avala-Api-Key
string
header
required

API key for authentication. Generate one in Mission Control Settings > Security & Identity.

Path Parameters

uid
string
required

Body

application/json
target_url
string<uri>
required
Required string length: 1 - 2048
events
string[]
Required string length: 1 - 50
is_active
boolean

Response

200 - application/json
target_url
string<uri>
required
Required string length: 1 - 2048
uid
string<uuid>
events
string[]
Required string length: 1 - 50
is_active
boolean
created_at
string<date-time>
updated_at
string<date-time>